<template>
  <div>
    <v-toolbar app>
      <v-toolbar-title>Selecione um local</v-toolbar-title>
    </v-toolbar>

    <v-content>
      <div class="location-selector-page pa-3">
        <v-flex>
          <v-autocomplete
            :items="locations"
            item-text="label"
            item-value="code"
            v-model="selectedLocation"
            placeholder="Selecione um local"
          />
          <v-alert :value="error" type="error">Localização não selecionada</v-alert>
          <v-btn @click="toScanner">Começar</v-btn>
        </v-flex>
      </div>
    </v-content>
  </div>
</template>

<script>
export default {
  name: "LocationSelectionPage",
  components: {},
  data() {
    return {
      error: false,
      selectedLocation: null,

      locations: [
        { label: "ENF", code: "ENF" },
        { label: "Odonto", code: "Odonto" },
        { label: "Oftalmo", code: "Oftalmo" },
        { label: "POD", code: "POD" },
        { label: "Teens", code: "Teens" },
        { label: "Nutri", code: "Nutri" },
        { label: "Mulheres", code: "Mulheres" },
        { label: "Filhos", code: "Filhos" },
        { label: "Triagem", code: "Triagem" }
      ]
    };
  },
  methods: {
    toScanner() {
      if (!this.selectedLocation) {
        this.error = true;
        return;
      }
      this.$router.replace({
        name: "qr-scanner",
        params: { location: this.selectedLocation }
      });
    }
  }
};
</script>

<style lang="scss" scoped>
.location-selector-page {
}
</style>
